Bug 1473061 - Gnome Night Light tracks location once per second even with location services disabled
Gnome Night Light tracks location once per second even with location services...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: geoclue2 (Show other bugs)
26
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Zeeshan Ali
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-19 20:24 EDT by Rob
Modified: 2017-07-26 14:22 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-26 14:22:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 92798 None None None 2017-07-21 05:58 EDT

  None (edit)
Description Rob 2017-07-19 20:24:02 EDT
Description of problem:

Running "dconf watch /" indicates that the setting "/org/gnome/settings-daemon/plugins/color/night-light-last-coordinates" is being updated once per second. Settings > Privacy > Location services is switched Off. This is causing excessive writes by dconf-service and is ignoring privacy settings. Editing the last-coordinates setting with dconf-editor results in the new value getting overwritten by my current location within 1 second. 


Version-Release number of selected component (if applicable): Gnome 3.24.2 on Fedora 26


How reproducible: Every second on every login


Steps to Reproduce:
1. Login with Gnome desktop environment
2. Run "dconf watch /"
3. "/org/gnome/settings-daemon/plugins/color/night-light-last-coordinates" setting will print once per second

Actual results:
"/org/gnome/settings-daemon/plugins/color/night-light-last-coordinates" is updated once per second with my approximate latitude and longitude when location services are disabled.

Expected results:
"/org/gnome/settings-daemon/plugins/color/night-light-last-coordinates" should not update my current lat/long when location services are disabled. It should update less frequently than once per second even when location services are enabled.  

Additional info:
Comment 1 Rui Matos 2017-07-21 05:58:55 EDT
Sounds like https://bugs.freedesktop.org/show_bug.cgi?id=92798. Please follow up upstream.
Comment 2 Rui Matos 2017-07-21 06:10:58 EDT
Let's re-purpose this bug to track a fedora geoclue2 package update.
Comment 3 Rui Matos 2017-07-23 11:25:05 EDT
Can you test with these scratch build rpms: https://koji.fedoraproject.org/koji/taskinfo?taskID=20696070 ?
Comment 4 Rui Matos 2017-07-23 12:08:07 EDT
(In reply to Rui Matos from comment #3)
> Can you test with these scratch build rpms:

Actually, please test this one instead: https://koji.fedoraproject.org/koji/taskinfo?taskID=20696922

it's gnome-settings-daemon instead of geoclue2 as the geoclue maintainer says the application can already control this.
Comment 5 Rob 2017-07-23 16:16:26 EDT
Thanks for the quick response on this. 

The gnome-settings-daemon scratch build fixes the problem of constantly finding a new location. 

However, it still ignores that I have Gnome Settings > Privacy > Location Services turned off. If I set org.gnome.settings-daemon.plugins.color.night-light-last-coordinates to the default value or any other custom value, it overwrites this value with my current location whenever I log back in. 

Should I open a new bug report for this? Thanks
Comment 6 Rui Matos 2017-07-24 09:58:55 EDT
(In reply to Rob from comment #5)
> However, it still ignores that I have Gnome Settings > Privacy > Location
> Services turned off. If I set
> org.gnome.settings-daemon.plugins.color.night-light-last-coordinates to the
> default value or any other custom value, it overwrites this value with my
> current location whenever I log back in. 
> 
> Should I open a new bug report for this? Thanks

No, I filed one upstream: https://bugzilla.gnome.org/show_bug.cgi?id=785342 . When it's pushed there I'll update the F26 package to include both fixes.
Comment 7 Fedora Update System 2017-07-24 10:56:12 EDT
gnome-settings-daemon-3.24.3-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c6f674bd0e
Comment 8 Fedora Update System 2017-07-25 00:27:49 EDT
gnome-settings-daemon-3.24.3-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c6f674bd0e
Comment 9 Fedora Update System 2017-07-26 14:22:04 EDT
gnome-settings-daemon-3.24.3-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.